/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import type { IFluidHandle } from "./handles.js";
/**
 * @public
 */
export declare const IFluidLoadable: keyof IProvideFluidLoadable;
/**
 * @public
 */
export interface IProvideFluidLoadable {
    readonly IFluidLoadable: IFluidLoadable;
}
/**
 * A shared FluidObject has a URL from which it can be referenced
 * @sealed @public
 */
export interface IFluidLoadable extends IProvideFluidLoadable {
    readonly handle: IFluidHandle;
}
/**
 * @internal
 */
export declare const IFluidRunnable: keyof IProvideFluidRunnable;
/**
 * @internal
 */
export interface IProvideFluidRunnable {
    readonly IFluidRunnable: IFluidRunnable;
}
/**
 * @internal
 */
export interface IFluidRunnable {
    run(...args: any[]): Promise<void>;
    stop(reason?: string): void;
}
//# sourceMappingURL=fluidLoadable.d.ts.map