/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
export * from "./index.js";
import type { InternalUtilityTypes as ExposedInternalUtilityTypes } from "./exposedInternalUtilityTypes.js";
import type { JsonDeserialized as ExposedJsonDeserialized, JsonDeserializedOptions } from "./jsonDeserialized.js";
import type { JsonSerializable as ExposedJsonSerializable, JsonSerializableOptions } from "./jsonSerializable.js";
import type { JsonTypeWith as ExposedJsonTypeWith } from "./jsonType.js";
/**
 * @internal
 */
export type JsonDeserialized<T, Options extends JsonDeserializedOptions = {
    AllowExactly: [];
    AllowExtensionOf: never;
}> = ExposedJsonDeserialized<T, Options>;
/**
 * @internal
 */
export type JsonSerializable<T, Options extends JsonSerializableOptions = {
    AllowExactly: [];
    AllowExtensionOf: never;
}> = ExposedJsonSerializable<T, Options>;
/**
 * @internal
 */
export type JsonTypeWith<T> = ExposedJsonTypeWith<T>;
/**
 * @internal
 */
export declare namespace InternalUtilityTypes {
    type IfSameType<X, Y, IfSame = unknown, IfDifferent = never> = ExposedInternalUtilityTypes.IfSameType<X, Y, IfSame, IfDifferent>;
}
//# sourceMappingURL=internal.d.ts.map